<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****
# Change here the template lang
//$__lang = 'fr';
# Ajout des fichiers du template pour le cache
$mod_files[] = dirname(__FILE__).'/list.php';
$mod_files[] = dirname(__FILE__).'/post.php';
$mod_files[] = dirname(__FILE__).'/form.php';
/**
 * Affichage d'une ligne de navigation dans le style "Vous êtes ici !"
 * Tous les modes ne sont pas pris en compte (ex : search, home) mais il
 * ne s'agit que d'un exemple. A vous de le personnaliser.
 *
 * @param string $block   Code HTML engloblant la barre de navigation
 * @param string $item    Format d'affichage d'un niveau
 * @param string $nav_str Valeur initiale de la ligne de navigation
 *
 */
function dcQuickNavbar(
	$block = '<div id="quicknav" class="little"><p>%s</p></div>',
	$item = ' &gt; %s',
	$nav_str = '<a href="%s" title="accueil">Accueil</a>')
{
	global $blog, $news;
	
	$mode = ($GLOBALS['mode'] == 'pagination')?$GLOBALS['dc_orig_mode']:$GLOBALS['mode'];
	
	$comp_cat_url = '';
	$nav_str = sprintf($nav_str, dc_blog_url);
	
	if ($mode == 'cat') {
		$nav_str .= sprintf($item,$news->f('cat_libelle'));
	} elseif ($mode == 'related') {
		$nav_str .= sprintf($item,$GLOBALS['related_title']);
	} elseif ($mode == 'month') {
		if ($GLOBALS['cat_id'] != '') {
			$cat_link = 
				'<a href="'.
				sprintf($blog->front_url['cat'],$comp_cat_url.$news->f('cat_libelle_url')).
				'" '.
				sprintf('title="%s"',$news->f('cat_libelle')).
				'>'.$news->f('cat_libelle').'</a>';
				
			$nav_str .= sprintf($item, $cat_link);
		}
		$ts = strtotime($GLOBALS['year'].'-'.$GLOBALS['month'].'-01 00:00');
		$nav_str .= sprintf($item,dt::str('%B %Y',$ts));
	} elseif ($mode == 'post') {
		$cat_link =
			'<a href="'.
			sprintf($news->blog->front_url['cat'],$comp_cat_url.$news->f('cat_libelle_url')).
			'" '.
			sprintf('title="%s"',$news->f('cat_libelle')).
			'>'.$news->f('cat_libelle').'</a>';
			
		$nav_str .= 
			sprintf($item, $cat_link).
			sprintf($item, $news->f('post_titre'));
	}
	printf($block,$nav_str);
}
/**
 * nombre de billets catégories
 *
 */
function dcMyCatList($block='<ul>%s</ul>',$item='<li>%s</li>')
{
	global $rs_cat, $cat_id, $lang, $blog;
	
	$comp_url = '';
	
	if ($lang) {
		$comp_url = $lang.'/';
	}
	
	if (!$rs_cat->isEmpty())
	{
		$res = '';
		
		while (!$rs_cat->EOF())
		{
			if ($rs_cat->f('nb_post') > 0)
			{
				$id = $rs_cat->f('cat_libelle_url');
				$libelle = $rs_cat->f('cat_libelle');
				
				$lien = '<a href="'.
				sprintf($blog->front_url['cat'],$comp_url.$id).
				'">'.$libelle.'</a> ('.$rs_cat->f('nb_post').')';
				
				if ($cat_id == $id) {
					$lien = '<strong>'.$lien.'</strong>';
				}
				
				$res .= sprintf($item,$lien);
			}
			$rs_cat->moveNext();
		}
		$rs_cat->moveStart();
		
		printf($block,$res);
	}
}
?>
